Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date: Fri, 22 Jan 2016 17:25:27 -1000
From: cpb <cpb@...ny.log2.net>
To: owl-users@...ts.openwall.com
Subject: Owl VZ templates cannot rebuild themselves?

Hi everyone, I am probably doing something wrong, but I was trying to 
rebuild the Owl-current (20150801) templates from themselves, and I had 
a problem: the owl-startup RPM couldn't be built because it has a build 
dependency on libpopt-devel-static, which is not installed inside the 
template.

libpopt-devel-static is not mentioned in installorder.conf, so...it 
doesn't get installed that way. I don't know how it got installed in the 
ISOs! Maybe an rpm -Ivh * was run instead of make installworld?

It's easy to cure, but (1) I don't know if there's really a problem and 
(2) I don't know what way is the "best" cure. Thanks for listening.

Chris Bopp, Honolulu, Hawaii

Powered by blists - more mailing lists

Your e-mail address:

Powered by Openwall GNU/*/Linux - Powered by OpenVZ